"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33600>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33740>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee336a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee337e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33880>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33920>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee339c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33a60>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33b00>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33ba0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33c40>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33ce0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33d80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33e20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33ec0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee33f60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94040>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee940e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94180>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94220>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee942c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94360>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94400>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee944a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94540>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee945e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94680>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94720>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee947c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94860>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94900>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee949a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94a40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94ae0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94b80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94c20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94cc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94d60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94e00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94ea0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94f40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee94fe0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95080>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95120>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee951c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95260>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95300>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee953a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95440>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee954e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95580>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95620>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee956c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95760>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95800>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee958a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee959e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95a80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95b20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95bc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95c60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95d00>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95da0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95e40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee95f80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96020>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee960c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96200>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee962a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96340>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee963e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96480>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96520>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee965c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96660>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96840>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee967a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee968e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96980>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96a20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9ee96ac0>)]
name: str = 'fr_HOCCN'
